AbstractFullBinding (Groovy 5.0.6)

Package: org.apache.groovy.swing.binding

## [Java] Class AbstractFullBinding

- org.apache.groovy.swing.binding.AbstractFullBinding

- All Implemented Interfaces and Traits:
    FullBinding

      public abstract class AbstractFullBinding
      extends Object
      implements FullBinding

  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Closure` | `converter` |
    `protected Closure` | `reverseConverter` |
    `protected SourceBinding` | `sourceBinding` |
    `protected TargetBinding` | `targetBinding` |
    `protected Closure` | `validator` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getConverter()`
    `` | `public Closure` | `getReverseConverter()`
    `` | `public SourceBinding` | `getSourceBinding()`
    `` | `public TargetBinding` | `getTargetBinding()`
    `` | `public Closure` | `getValidator()`
    `` | `public void` | `reverseUpdate()`
    `` | `public void` | `setConverter(Closure converter)`
    `` | `public void` | `setReverseConverter(Closure reverseConverter)`
    `` | `public void` | `setSourceBinding(SourceBinding sourceBinding)`
    `` | `public void` | `setTargetBinding(TargetBinding targetBinding)`
    `` | `public void` | `setValidator(Closure validator)`
    `` | `public void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Closure converter

    - #### protected Closure reverseConverter

    - #### protected SourceBinding sourceBinding

    - #### protected TargetBinding targetBinding

    - #### protected Closure validator

  - ### Method Detail

    - #### @Override
      public Closure getConverter()

    - #### @Override
      public Closure getReverseConverter()

    - #### @Override
      public SourceBinding getSourceBinding()

    - #### @Override
      public TargetBinding getTargetBinding()

    - #### @Override
      public Closure getValidator()

    - #### @Override
      public void reverseUpdate()

    - #### @Override
      public void setConverter(Closure converter)

    - #### @Override
      public void setReverseConverter(Closure reverseConverter)

    - #### @Override
      public void setSourceBinding(SourceBinding sourceBinding)

    - #### @Override
      public void setTargetBinding(TargetBinding targetBinding)

    - #### @Override
      public void setValidator(Closure validator)

    - #### @Override
      public void update()